Glyph File Reference
`#include <string>`
`#include <istream>`
`#include <osg/Vec2>`
`#include <osg/Image>`
`#include <osg/Texture2D>`
`#include <osg/StateSet>`
`#include <osg/Geometry>`
`#include <osg/Geode>`
`#include <osgText/Export>`
`#include <osgText/KerningType>`
`#include <osgText/Style>`
`#include <OpenThreads/ReentrantMutex>`

Go to the source code of this file.

## Classes

class | osgText::Glyph
struct | osgText::Glyph::TextureInfo
class | osgText::GlyphGeometry
class | osgText::Glyph3D
class | osgText::GlyphTexture

## Namespaces

namespace | osgText

## Macros

#define | OSGTEXT_GLYPH 1

## Enumerations

enum | osgText::ShaderTechnique { osgText::NO_TEXT_SHADER = 0x0 , osgText::GREYSCALE = 0x1 , osgText::SIGNED_DISTANCE_FIELD = 0x2 , osgText::ALL_FEATURES = GREYSCALE | SIGNED_DISTANCE_FIELD }

## Macro Definition Documentation

## OSGTEXT_GLYPH

#define OSGTEXT_GLYPH 1